Name:           wfmath
Version:        0.3.6
Release:        3%{?dist}
Summary:        WorldForge client math libraries

Group:          Development/Libraries
License:        GPLv2+
URL:            http://worldforge.org/dev/eng/libraries/wfmath
Source0:        http://downloads.sourceforge.net/sourceforge/worldforge/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig doxygen

%description
WFMath provides mathematical functions for WorldForge clients.  The primary
focus of WFMath is geometric objects. Thus, it includes several shapes (boxes,
balls, lines), in addition to the basic math objects that are used to build
these shapes (points, vectors, matricies). WFMath provides a means for other
system compenents to pass geometric information around in a common format.


%package        devel
Summary:        Development files for wfmath
Group:          Development/Libraries
Requires:       pkgconfig %{name} = %{version}-%{release}


%description    devel
Libraries and header files for developing applications that use wfmath.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}

(cd doc && make doc)
# Rename a messed-up man page
mv doc/man/man3/WFMath_Polygon_* doc/man/man3/WFMath_Polygon_2.3
# Delete a messed-up man page that sometimes appears
rm -f doc/man/man3/*_.3


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3/
install -p -m0644 doc/man/man3/*.3 $RPM_BUILD_ROOT%{_mandir}/man3/

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%check
%ifnarch ppc
make %{?_smp_mflags} check
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO ChangeLog
%{_libdir}/lib%{name}-0.3.so.*


%files devel
%defattr(-,root,root,-)
%doc doc/CLASS_LAYOUT doc/html/
%{_includedir}/%{name}-0.3
%{_libdir}/lib%{name}-0.3.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.gz


%changelog
* Tue Aug 21 2007 Wart <wart at kobold.org> 0.3.6-3
- License tag clarification

* Wed Jul 25 2007 Jeremy Katz <katzj@redhat.com> - 0.3.6-2
- rebuild for toolchain bug

* Sun Jul 22 2007 Wart <wart at kobold.org> 0.3.6-1
- Update to 0.3.6

* Sun Aug 27 2006 Wart <wart at kobold.org> 0.3.5-2
- Bump release to fix cvs tags

* Fri Aug 25 2006 Wart <wart at kobold.org> 0.3.5-1
- Update to 0.3.5
- Remove patch that has been added upstream 

* Thu Jul 27 2006 Wart <wart at kobold.org> 0.3.4-4
- Disable tests on ppc

* Thu Jul 20 2006 Wart <wart at kobold.org> 0.3.4-3
- Add smp_mflags to %%check

* Wed Jul 19 2006 Wart <wart at kobold.org> 0.3.4-2
- Added patch to fix test failures on x86_64
- Add 'make check'
- Add missing Requires: pkgconfig to -devel subpackage

* Wed Jun 14 2006 Wart <wart at kobold.org> 0.3.4-1
- Initial spec file for Fedora Extras
